# Photo Image Print System
# Copyright (C) SEIKO EPSON CORPORATION 2000-2004.

%define VERSION 1.3.2
%define PREFIX /usr
%define BINDIR %{PREFIX}/bin
%define ETCDIR /etc
%define VARDIR /var
%define LIBDIR %{PREFIX}/lib
%define KOWADIR %{PREFIX}/local/EPKowa
%define DEAMONDIR %{KOWADIR}/printer
%define DATADIR %{KOWADIR}/PM670C
%define LOCALEDIR %{PREFIX}/share/locale

Summary: Photo Image Print System for EPSON PM-670C (i386)
Summary(ja): EPSON PM-670C ѤPhoto Image Print System (i386)
Name: pips670
Version: %{VERSION}
Release: 3
Copyright: Copyright (C) 2000-2004 EPSON KOWA Corporation. / Copyright (C) SEIKO EPSON CORPORATION 2000-2004.
Group: System/Printer
Source0: pips670-%{VERSION}.tar.gz
Packager: EPSON KOWA Corporation
BuildRoot: /var/tmp/%{name}

%description

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup
./configure --prefix=/usr

%build
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%post
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/inst-post.sh install

%preun
if [ "$1" = 0 ] ; then
	DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/inst-post.sh deinstall
fi

%postun
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

if [ "$1" = 0 ] ; then
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{KOWADIR}
fi

%files
%defattr(-,root,root)

%{BINDIR}/pips670
%{LIBDIR}/libpm670c.so
%{DATADIR}/gsconfig670
%{DATADIR}/filter670
%{DATADIR}/readme670
%{DATADIR}/libpm670c.readme
%{DATADIR}/inst-post.sh
%{DATADIR}/lang

%{LOCALEDIR}/ja/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/de/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/es/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/fr/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/it/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/nl/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/pt/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/ko/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/zh/LC_MESSAGES/pips670.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/pips670.mo

%doc AUTHORS
%doc README
%doc COPYING
%doc COPYING.LIB
%doc COPYING.KOWA
%doc COPYING.KOWA.ja
%doc ChangeLog
